Summary:        The image viewer and screenshot tool for Nde
Name:           nde-image 
Version:        0.0.1
Release:        5%{?dist}
License:        GPLv2+
URL:            http://www.gd-linux.com
Source0:        %{name}-%{version}.tar.gz
BuildRequires:  pkgconfig(Qt5Widgets), pkgconfig(Qt5DBus), pkgconfig(Qt5PrintSupport), pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5X11Extras), qt5-linguist, kf5-kwindowsystem-devel
BuildRequires:  glib2-devel, pkgconfig(libfm-qt), pkgconfig(libexif), pkgconfig(xfixes), pkgconfig(libmenu-cache)
BuildRequires:  nde-lib-devel, desktop-file-utils
Requires:       hicolor-icon-theme



%description
A simple and fast image viewer.

%package l10n
Summary:       Translations for nde-image
Requires:      nde-image

%description l10n
This package provides translations for the nde-image package.



%prep
%setup -q



%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
    %{cmake_nde} -DPULL_TRANSLATIONS=NO ..
popd

make %{?_smp_mflags} -C %{_target_platform}



%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang nde-image --with-qt



%files
%license COPYING
%doc AUTHORS README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/%{name}

%files l10n -f nde-image.lang
%license COPYING
%doc AUTHORS README.md
%dir %{_datadir}/nde-image/translations



%changelog
* Tue Jan 30 2024 Zhao Zhen <jeremiazhao@tencent.com> - 0.0.1-5
- small fix

* Mon Jun 22 2020 Zhang Wen <zhang.wen2@zte.com.cn> - 0.0.1-4
- 更新版权声明

* Thu Jun 02 2020 Cheng Qian <cheng.qian2@zte.com.cn> - 0.0.1-3
- 修改中文名称

* Mon Jun 01 2020 Zhang Wen <zhang.wen2@zte.com.cn> - 0.0.1-2
- 更改应用名称

* Mon Jun 01 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-1
* Rename(984)

